Skip to main content
GET
/
price
/
ticker
Get price ticker for currency pair
curl --request GET \
  --url https://staging.api.mavapay.co/api/v1/price/ticker
import requests

url = "https://staging.api.mavapay.co/api/v1/price/ticker"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://staging.api.mavapay.co/api/v1/price/ticker', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "ok",
  "data": {
    "ask": 1475.42,
    "bid": 1455.42,
    "timestamp": 1767896752409,
    "meta": {
      "pair": "USDNGN",
      "payoutMethods": [
        "BANKTRANSFER"
      ],
      "collectionMethods": [
        "LIGHTNING"
      ],
      "unitPricePerUsd": {},
      "unitPricePerSat": {},
      "fees": {}
    }
  }
}
{
"message": "<string>",
"status": "error"
}

Query Parameters

pair
enum<string>
required

Currency pair to get the exchange rate for

Available options:
usdngn,
btcusd,
usdkes,
usdzar,
zarngn,
kesngn

Response

Price ticker response

status
string
Example:

"ok"

data
object